Subject: Re: [X2Go-Dev] Bug#877: x2go.x2go_exceptions.X2GoSessionRegistryException: No session found for UUID ...
From: Mike Gabriel <[email-masked]>
To: Michael DePaulo <[email-masked]>, [email-masked]
Date: Mon, 15 Jan 2024 20:38:18 +0000

Control: close -1

On  Di 19 Mai 2015 13:14:35 CEST, Michael DePaulo wrote:

> Package: pyhoca-cli
> Version: 0.5.0.2
> Severity: minor
>
> Client OS: Fedora 22 64-bit (with latest updates. In beta, but about
> to be released.)
> pyhoca-cli 0.5.0.2-1.fc22 (Fedora's package)
> python-x2go 0.5.0.3-1.fc22 (Fedora's package)
>
> Server OS: Fedora 21 64-bit (with latest updates) running in a  
> Docker container
> DockerFile:  
> https://github.com/mikedep333/Fedora-Dockerfiles/blob/add-x2go/x2go/x2go-minimal/Dockerfile
> x2goserver 4.0.1.19-1.fc21 (Fedora's package)
> x2goserver-xsession 4.0.1.19-1.fc21 (Fedora's package)
> nxagent 3.5.0.29-1.fc21 (Fedora's package)
> x2goagent 3.5.0.29-1.fc21 (Fedora's package)
> Note: Even if you are unfamiliar with Docker, you should be able to
> make sense of the Dockerfile. Note that it is based on the "fedora"
> image, which is a very minimal install of Fedora. Also note that
> "start.sh" simply adds a user account named "user" with a fixed
> password.
>
> When I connect to a new TERMINAL session (which defaults to
> lxterminal), the session appears to work fine. However, at the end, I
> often receive an exception like:
> x2go.x2go_exceptions.X2GoSessionRegistryException: No session found
> for UUID a2f17c6e-fe14-11e4-8e21-001a4a1bd601
>
> I am using this command to connect:
> pyhoca-cli --server 127.0.0.1 -p 50000 -N --user user
> --add-to-known-hosts --libdebug --debug
>
> See attachment for output.
>
> This bug is reproducible, but not 100% of the time. It seems to be
> related to timing. It is usually reproduced when I leave lxterminal
> open for 10 seconds. (I close lxterminal by typing "exit" or clicking
> the X in the window decoration.) It is usually NOT reproduced when I
> leave lxterminal open for 2 seconds.

I haven't see this issue around for a while. Please reopen at  
https://gitlab.x2go.org/client/libs/python-x2go, if still reproducible.

@mikedep333: Hope you are doing well!!!

Mike

-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de